include:
  - project: ".gitlab-ci/jobs/templates.yml"
  - project: ".gitlab-ci/jobs/prepare.yml"

bootstack_full_fedora:
  extends: .bootstack
  dependencies: []
  variables:
    DISTRO: "fedora"

bootstack_full_fedoranouveau:
  extends: .bootstack
  dependencies: []
  variables:
    DISTRO: "fedoranouveau"
    MAINLINE: "true"

bootstack_full_arch:
  extends: .bootstack
  dependencies: []
  variables:
    DISTRO: "arch"

bootstack_full_ubtouch:
  extends: .bootstack
  dependencies: []
  variables:
    DISTRO: "ubtouch"
  artifacts:
    paths:
      - "${OUT}/*.zip"

32.3.1:
  extends: .kernel
  dependencies: []

nouveau:
  image: "${CI_REGISTRY_IMAGE}:l4t_fedora39"
  extends: .kernel
  needs: ['32.3.1']
  dependencies: []
  variables:
    ACTION: "kernel/nouveau"
  artifacts:
    paths:
      - "${OUT}/nouveau/uImage"
      - "${OUT}/nouveau/nx-plat.dtimg"
      - "${OUT}/nouveau/modules.tar.gz"
      - "${OUT}/nouveau/update.tar.gz"
      - "${OUT}/kernel-6*-src.7z"
